#ifndef __DAMPER_H_
#define __DAMPER_H_

#include "simdef.h"
#include "point.h"

class Damper 
{
 public:
  void *pt;
  GLLIB_vtx *pos;
  int p1;
  int p2;
  float k;
  float initiallength;
  float oldlength;
  
  void init(GLLIB_vtx *po, void *p, int i1, int i2, float ks);
  void calcForce();
};

#endif