#ifndef __VTXINTERPOLATOR_H
#define __VTXINTERPOLATOR_H

#include "gllib.h"

#define MAX_VTXHISTORYLEN 500

struct vtxint_t {
  GLLIB_vtx v;
  float     t;
};

class VtxInterpolator {
public:
  VtxInterpolator();

  void Set(GLLIB_vtx &v, float t);
  GLLIB_vtx Get(float t, float deltat);
  void Transform(GLLIB_matrix &m);

private:
  vtxint_t m_history[MAX_VTXHISTORYLEN];
  int m_historylen;
  int m_historystart;
};

#endif