#ifndef __POWEREDWHEEL
#define __POWEREDWHEEL

//class Point;
#include "point.h"

class PoweredWheel {
public:
  PoweredWheel();
  ~PoweredWheel();
  void Init(GLLIB_vtx *pos, Point *points, int npoints, int *wheel_points, int axisa, int axisb);

  void applyForces();
  void calcSpeed();
  void SetTorque(float t);
  void SetBreak(float pressure);
  //  void CalcFriction();
  float GetRotSpeed();
  
private:
  GLLIB_vtx *m_pos;

  int *m_pointindex;
  int m_npoints;
  Point *m_points;

  int m_axisa, m_axisb;

  float torque;
  float pressure;
  float rotSpeed;
};
#endif
